function a = realsqrt(b)
%REALSQRT Real square root.
%	REALSQRT(X) requires X to have real, nonnegative elements.
%	See also REALLOG, REALPOW.

a = sqrt(b);
if( any(any(imag(a))) ),
	error( 'realsqrt produces complex result' );
end
